ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitry Lysnichenko (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-14508) Upgrade from 1.6.1(and possibly other < 2.0.0) to 2.2.1 failed.
Date Mon, 28 Dec 2015 17:28:49 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-14508?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dmitry Lysnichenko updated AMBARI-14508:
----------------------------------------
    Attachment: AMBARI-14508.patch

> Upgrade from 1.6.1(and possibly other < 2.0.0) to 2.2.1 failed.
> ---------------------------------------------------------------
>
>                 Key: AMBARI-14508
>                 URL: https://issues.apache.org/jira/browse/AMBARI-14508
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>            Reporter: Dmitry Lysnichenko
>            Assignee: Dmitry Lysnichenko
>             Fix For: 2.2.1
>
>         Attachments: AMBARI-14508.patch
>
>
> Upgrade from old releases to 2.2.1 failed with following message:
> {noformat}
> Exception in thread "main" org.apache.ambari.server.AmbariException
> at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:230)
> at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:304)
> Caused by: java.lang.NullPointerException
> at org.apache.ambari.server.upgrade.UpgradeCatalog221.updateAlerts(UpgradeCatalog221.java:146)
> at org.apache.ambari.server.upgrade.UpgradeCatalog221.executeDMLUpdates(UpgradeCatalog221.java:123)
> at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeData(AbstractUpgradeCatalog.java:660)
> at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:227)
> ... 1 more
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message